package cn.iocoder.yudao.module.ecw.vo.currencyRate;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 货币汇率查询 VO")
public class CurrencyRateQueryParamVO extends PageParam {
    @ApiModelProperty(value = "原币种")
    private Long sourceId;

    @ApiModelProperty(value = "支付币种")
    private Long targetId;

    @ApiModelProperty(value = "国家")
    private List<Long> countries;

    @ApiModelProperty(value = "状态")
    private Boolean expired;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "有效期大于")
    private Date expirationAfter;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "有效期小于")
    private Date expirationBefore;
}
